#!/bin/sh

echo "aclocal..."
(aclocal --version) < /dev/null > /dev/null 2>&1 || {
	echo "aclocal not found"
	exit 1
}

#aclocal -I m4
aclocal

echo "autoheader..."
(autoheader --version) < /dev/null > /dev/null 2>&1 || {
	echo "autoheader not found"
	exit 1
}

autoheader

echo "automake..."
(automake --version) < /dev/null > /dev/null 2>&1 || {
	echo "automake not found"
	exit 1
}

automake --add-missing --copy --gnu

echo "autoconf..."
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
	echo "autoconf not found"
	exit 1
}

autoconf

echo "now run configure"

exit 0

