/*
 * gtkpasman
 * Copyright (C) 2011 David Guglielmi
 *
 * gtk_ui.h
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GTKPASMAN_GTK_UI_
#define __GTKPASMAN_GTK_UI_

#include <gtk/gtk.h>

G_BEGIN_DECLS

void init_gtk_ui (void);
void start_gtk_ui (int initial_password);

/*
 *  Old function
 *
 */

void create_gtkpasman_list (void);

void select_command (gchar **data);
void select_passwd (gchar **data);
void select_passwd_and_exec_command (gchar **data);
void exec_command (gchar **data);
void exec_multiple (gchar *hostlist);


G_END_DECLS

#endif /* __GTKPASMAN_GTK_UI_ */
